Bug 471792 - PackageKit "waiting for other tasks"
PackageKit "waiting for other tasks"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-16 07:40 EST by Pavel Rosenboim
Modified: 2010-03-22 11:58 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-22 11:58:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Rosenboim 2008-11-16 07:40:03 EST
Description of problem:
Sometimes, when asked to install packages, packagekit is "waiting for other tasks" while no other package management operation running. Running yum manually at the time reports no locks and completes without any problem.

Version-Release number of selected component (if applicable):
PackageKit-0.3.9-4.fc10.i386

How reproducible:
Sometimes.
Comment 1 Matt McCutchen 2008-11-22 16:17:46 EST
If you select a package in the "Review updates" window, PackageKit fetches the details about the update to show in the bottom pane, and that appears to count as a task to wait for.  Is that what you are seeing?
Comment 2 Pavel Rosenboim 2008-11-22 16:29:08 EST
No. First, if this happens, it never ends (I left it for more than hour). Even if I restart gpk-application,  it says it is waiting. Only killing packagekitd releases the lock. Yet, if I run yum operation while packagekit in int this state, it doesn't see any locks and proceeds without any problems.
Comment 3 Bug Zapper 2008-11-26 00:28:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Kevin L. Mitchell 2008-11-29 11:30:49 EST
I also experience this issue--any attempt to do a lot of stuff results in packagekit locking up with 2 to 3 tasks apparently waiting on each other.  I was forced to do a "yum update" instead of using packagekit's update, for instance, after upgrading a FC9 system to FC10, because there were too many changes for packagekit to handle.  In addition, in my case, killing packagekitd does not restore the system to normal operation--restarting the add/remove software results in no window.  Finally, I have had packagekit hang while browsing the package list, presumably because that machine's a little slow.

I first observed this behavior in FC9.  (Not reported at the time because it was about a month before the FC10 release, and I wanted to wait for FC10.)  It appears the reproduction method is to attempt to install a ton of packages on a relatively slow machine :)
Comment 5 Richard Hughes 2009-02-16 10:53:30 EST
Can you reproduce this on F10?
Comment 6 Bill Waddington 2009-02-24 12:37:34 EST
Similar behavior observed when trying to install a single package from F10 32 bit DVD.  (vsftp)  "waiting for other tasks" indefinitely.  The package seems to have installed silently in the background, but "waiting" continued until reboot.
Comment 7 iarly selbir 2009-03-02 18:54:16 EST
Just to keep alive.

If anyone won't reply in one month, I will have to close this bug.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 iarly selbir 2009-03-02 19:37:58 EST
Sorry, please, disregard the 'will close...' part, I only want to keep alive
this bug.


Reporter, some feedback about bug?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Pavel Rosenboim 2009-03-03 02:36:16 EST
I couldn't reproduce it on F10 or in current rawhide.
Comment 10 iarly selbir 2009-03-03 20:10:38 EST
so, is solved?

I also can't reproduce in my f10, I don't try on rawhide box.

Anything else?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Morgan Olausson 2009-03-11 01:50:13 EDT
(In reply to comment #10)
> so, is solved?

I often had this problem on my (quite slow) machine before. But now I have not been annoyed because of that behaviour for several months. So as long as I am concerned, it seems to be solved.
Comment 12 iarly selbir 2009-03-11 19:39:30 EDT
Richard,

Seems ended.

Do you close?

Thanks a lot Morgan for you report.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 i.aint.thick 2009-03-24 18:31:55 EDT
I am getting this on my EeePC. I want to install something, but I can't, because there are all these other tasks that are "waiting for tasks", and I can't cancel any of them.
Comment 14 Steven M. Parrish 2009-07-05 08:19:08 EDT
i.aint.thick@gmail.com is this still an ongoing  issue for you?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 i.aint.thick 2009-07-08 17:16:26 EDT
I ended up installing Ubuntu. When F11 came out, I tried to install it, but I got an error message about not having enough space (even though I did). I might try installing the Xfce spin and see if I can install that.
Comment 16 Steven M. Parrish 2009-09-07 21:33:26 EDT
Can anyone confirm if this is still an issue or not.  If no response within 30 days will close this report.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 Mauro Innocenti 2009-09-16 07:21:47 EDT
I confirm this bug in F11 (x86-64), using KDE4.
Additionally, when I try to cancel the pending actions ("Cancel" button from the pop-up of each action) packagekit change the "Waiting..." message in "Cancelling", but the pending actions still persist indefinitely in the list (from the System Tray icon).
Restarting/Killing (-HUP) the "packagekitd" process seems to be the only way to flush the pending actions.
Comment 18 allen 2009-10-07 10:44:39 EDT
I am experiencing this, too. I am running Fedora (System Monitor shows a blank beside "Release") inside Virtualbox running on Vista.  (Fedora has 763 megs & 128 for display). Gmome 2.24.3

I have had this problem ever since the original install.  The process goes on for hours, "Waiting for other..."

Closing that window does not close the "Update system" window. Rebooting will end it, though.

I ad not used this installation for several months and after the update did not work yesterday and I rebooted to get rid ot the hung process, I ran 

su
yum update 

which downloaded and installed 600+ megs .

The problem continues today.  I also never get notice of automatic updates or see any sign that that is running.
Comment 19 allen 2009-10-07 13:31:53 EDT
Did another yum update and installed another 250 megs

Still the same problem.  I have no idea how to identify the process that is preventing the update and keeping things waiting...
Comment 20 Justin Newman 2009-11-05 23:13:57 EST
Same issue on Fedora 11 x86_64 w/ KDE 4.3.2. Killing all packagekit related tasks "fixed" it.
Comment 21 Bug Zapper 2009-11-18 03:52:16 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Steven M. Parrish 2009-11-18 12:07:01 EST
Since F10 is nearing EOL going to rebase this to Rawhide.

Richard any comments on this issue?
Comment 23 Toon Spin 2009-12-13 10:21:22 EST
I had the exact same issue on my freshly installed Fedora 12 x86_64 installation with KDE and without any other desktops. I used the DVD to install my system, I checked KDE, unchecked GNOME, and made a custom partitioning scheme (other than that I used the default options in the install menu). I hadn't modified the system in any significant way. I couldn't use kpackagekit to do anything, since it kept telling me it was waiting for other tasks.

Since then, I've rebooted, used yum to manually update kpackagekit, and now it seems to be working fine, it's downloading updates as I'm typing up this post. So I guess the problem's been fixed in the mean time.

One caveat is, that kpackagekit told me there are security updates after I started the manual update process; I clicked "yes" without really looking. So I'm downloading packages, then the automatic update one wants to download them too, and BOTH tasks seem to be waiting for the other. So as a user, you want to watch out for this problem by canceling one of the two.

Hope I'm able to help anyone out with this info! :)
Comment 24 Toon Spin 2009-12-13 10:30:24 EST
FYI: I updated kpackagekit from 5.0.3 to 5.1.1.
Comment 25 Gilboa Davara 2009-12-20 12:38:10 EST
Seeing the same under latest kpackagekit (and KDE 4.3.4 from KDE-redhat.)
Seems that packagekitd is locked in a poll loop. (With very short timeouts)
As a result, kpackagekit hangs waiting for lock.
PackageKit* 0.5.4-0.4, strace log (repeated):

...
read(21, 0x7fff83b11230, 8191)          = -1 EAGAIN (Resource temporarily unavailable)                        
read(23, 0x7fff83b11230, 8191)          = -1 EAGAIN (Resource temporarily unavailable)                        
wait4(25672, 0x7fff83b1327c, WNOHANG, NULL) = 0                                                               
poll([{fd=5, events=POLLIN}, {fd=10, events=POLLIN}, {fd=11, events=POLLIN}, {fd=3, events=POLLIN}], 4, 49) = 0 (Timeout)                                                                                                   
poll([{fd=5, events=POLLIN}, {fd=10, events=POLLIN}, {fd=11, events=POLLIN}, {fd=3, events=POLLIN}], 4, 0) = 0 (Timeout)                                                                                                    
read(21, 0x7fff83b11230, 8191)          = -1 EAGAIN (Resource temporarily unavailable)                        
read(23, 0x7fff83b11230, 8191)          = -1 EAGAIN (Resource temporarily unavailable)                        
wait4(25672, 0x7fff83b1327c, WNOHANG, NULL) = 0                                                               
poll([{fd=5, events=POLLIN}, {fd=10, events=POLLIN}, {fd=11, events=POLLIN}, {fd=3, events=POLLIN}], 4, 49) = 0 (Timeout)                                                                                                   
poll([{fd=5, events=POLLIN}, {fd=10, events=POLLIN}, {fd=11, events=POLLIN}, {fd=3, events=POLLIN}], 4, 0) = 0 (Timeout)                                                                                                    
read(21, 0x7fff83b11230, 8191)          = -1 EAGAIN (Resource temporarily unavailable)                        
read(23, 0x7fff83b11230, 8191)          = -1 EAGAIN (Resource temporarily unavailable)

... etc.

- Gilboa
Comment 26 Bug Zapper 2010-03-15 08:09:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.